Obtaining a list of performance information about journals

Virtual Storage Platform One SDS Block and SDS Cloud Virtual Private Storage Administration

Version
1.19.x
Audience
anonymous
Part Number
MK-24VSP1SDS028-03
ft:lastEdition
2026-04-20

You can obtain a list of performance information about each journal. The following information can be obtained.

  • id: Journal ID (uuid)

  • vpsId: ID of a VPS to which a journal belongs

  • writeIOPS: The number of write I/Os per second from hosts to P-VOLs that belong to a master journal [IOPS]

  • writeTransferRate: The amount of write data transfer per second from hosts to P-VOLs that belong to a master journal [MiB/sec]

  • initialCopyHitRate: Cache hit rate for read requests for P-VOLs (that belong to a master journal) due to initial copy [%]

  • initialCopyTransferRate: The amount of journal data transfer per second due to initial copy [MiB/sec]

  • masterJournalRIOPS: The number of read journal commands per second responded [IOPS]

  • masterJournalCount: The number of journal data transfers performed per second

  • masterJournalTransferRate: The amount of journal data transfer per second [MiB/sec]

  • masterJournalRIOResponseTime: Average time from when a read journal command is received to when response is sent [msec]

  • masterJournalDataUsageRate: Journal data usage of a master journal volume [%]

  • masterJournalMetaDataUsageRate: Metadata usage of a master journal volume [%]

  • remoteJournalRIOPS: The number of read journal commands per second issued [IOPS]

  • remoteJournalCount: The number of journal data receptions per second

  • remoteJournalTransferRate: The amount of journal data received per second [MiB/sec]

  • remoteJournalRIOResponseTime: Average time from when a read journal command is sent to when response is received

  • remoteJournalDataUsageRate: Journal data usage of a restore journal volume [%]

  • remoteJournalMetaDataUsageRate: Metadata usage of a restore journal volume [%]

  • Required role: VpsStorage or VpsMonitor

  1. Verify the ID of the journal for which you want to obtain performance information.

    REST API: GET /v1/objects/journals

    CLI: journal_list

  2. Obtain a list of performance information.

    To obtain high-resolution performance information, run the command with the journal ID specified for the query parameter. You can specify a maximum of 32 journal IDs.

    REST API (low-resolution): GET /v1/objects/performances/journals

    REST API (high-resolution): GET /v1/objects/detail-performances/journals

    CLI (low-resolution): journal_performance_list

    CLI (high-resolution): journal_detail_performance_list